<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Challenge 5</title>
</head>
<body>
    


</body>
<script>
    var autos = [“Pickup Chevrolet 1928”, “Coupe Torino 1975”, “Mercury 47”, “Renault Gordini 1969”];
    console.log(autos[1]);
    //Agrega el elemento al principio
    //autos.unshift(“elementoNuevo”); 

    // Agrega elemento al final
    //autos.push(“elementoNuevo”);
    //Buscamos el elemento
    var indice = autos.indexOf(“Coupe Torino 1975”);

    //Obtenemos el elemento buscado
    var unAuto = autos[índice];
    console.log(unAuto);

    //Eliminamos el primer elemento
    //autos.shift();

    //Eliminamos el último elemento
    // autos.pop();

    //Eliminamos un elemento en particular
    //indice debe llevar el valor donde esta ubicado el elemento a eliminar
    autos.splice(indice, 1);
    // el nro 1 indica que va a eliminar el elemento seleccionado del indice si se pone otro mas 
    // va a eliminar los que siguen 

    // a mi me quedo una duda con el ejemplo "autos.splice(indice, 1);" no entendia para que servia valor 1 despues vi en la documentacion que esta en el sector de profundiza y esta muy bien explicado todo!!, ahi indica que elimina x cantidad elementos en la posicion que estamos

    for (var indice = 0; i < autos.length; indice++) {
    //Imprime uno a uno todos los autos
        console.log(autos[indice]);
    }

    var indice = 0;

    while (indice < autos.length) {
        //Imprime uno a uno todos los autos
        // Estamos haciendo lo mismo que con el for
        console.log(autos[indice]);
        indice++;
}
</script>
</html>